We don't build binary package python-promise for Python2:

1. There is a syntax error that causes the installation to fail.

  File "/usr/lib/python2.7/dist-packages/promise/iterate_promise.py", line 6
    yield from promise.future
             ^
SyntaxError: invalid syntax

Upstream issue: https://github.com/syrusakbary/promise/issues/16

2. This Python module is required by Python modules graphene and
graphql-*. They are used only for king-phisher which only supports Python 3.
